%define upstream_name    Net-Flow
%define upstream_version 1.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Decode and encode NetFlow/IPFIX datagrams
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
The Flow module provides the decoding function for NetFlow version 5,9 and
IPFIX, and the encoding function for NetFlow version 9 and IPFIX. It
supports NetFlow version 9 (RFC3945) and NetFlow version 5
(http://www.cisco.com/) and IPFIX(RFC5101). You can easily make the Flow
Proxy, Protocol Converter and Flow Concentrator by using the combination of
both function, just like Flow Mediator (RFC6183). The Mediator would have
multiple functions by utilizing intermediate process. And also, you can
make the flexible Collector which can receive any Templates by using the
Storable perl module.

For standard information elements (ElementID, Name, Data Type, Data Type
Semantics, and Description) see
http://www.iana.org/assignments/ipfix/ipfix.xml

Important Note
    Version 1.000 may break code that relies (or works around) the
    previously broken encoding of IPFIX options templates. NetFlow version
    9 is not affected by this change. The semantics for ScopeCount are now
    consistent when encoding v9 or IPFIX.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.3.0-5.mga8
+ Revision: 1495839
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.3.0-4.mga7
+ Revision: 1269903
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.3.0-3.mga6
+ Revision: 1031070
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.3.0-2.mga6
+ Revision: 966324
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 1.3.0-1.mga6
+ Revision: 843472
- update to 1.003

* Sun Oct 19 2014 umeabot <umeabot> 1.2.0-5.mga5
+ Revision: 788884
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-4.mga5
+ Revision: 745847
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 685649
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.0-2.mga4
+ Revision: 525864
- Mageia 4 Mass Rebuild

* Thu May 23 2013 kharec <kharec> 1.2.0-1.mga4
+ Revision: 425168
- update to 1.002

* Fri Mar 08 2013 kharec <kharec> 1.0.0-1.mga3
+ Revision: 401762
- imported package perl-Net-Flow


* Fri Mar 08 2013 cpan2dist 1.000-1mga
- initial mageia release, generated with cpan2dist
